package com.bjtdba.order.dao;

import com.bjtdba.order.vo.StoreGroupOrderVo;
import com.bjtdba.order.vo.StoreOrderProductVo;
import com.bjtdba.order.vo.StoreOrderVo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
@Mapper
public interface StoreOrderMapperDao {

    public int  querycount(Long uid, Integer status, Integer paid, Integer[] merIds);

    public List<StoreOrderVo> queryStoreOrderList(Long uid, Integer status, Integer paid, Integer[] merIds);

    public List<StoreOrderProductVo> getStoreOrderPorduct(Integer[] orderIds);

    public Date getChangeTime(Long orderId);

    public List<StoreGroupOrderVo>  getStoreGroupOrder(Long uid,Integer paid,Integer isdel,Integer[] merIds);

    //通过用户订单查询对应的小订单
    public Integer[] getOrderIds(Long groupOrderId);


}
